import request from '@/utils/request'
// 查询店铺信息列表
export function getDep(query) {
  return request({
    url: '/system/goods/getDep',
    method: 'post',
    params: query
  })
}
// 查询店铺信息列表
export function listShop(query) {
  return request({
    url: '/system/Bushop/list',
    method: 'get',
    params: query
  })
}
// 查询统计信息列表
export function getStatisticalData(query) {
  return request({
    url: '/system/goods/getStatisticalData',
    method: 'post',
	params:query
  })
}


// 查询店铺信息详细
export function getShop(id) {
  return request({
    url: '/system/Bushop/' + id,
    method: 'get'
  })
}

// 新增店铺信息
export function addShop(data) {
  return request({
    url: '/system/Bushop',
    method: 'post',
    data: data
  })
}

// 修改店铺信息
export function updateShop(data) {
  return request({
    url: '/system/Bushop',
    method: 'put',
    data: data
  })
}

// 删除店铺信息
export function delShop(id) {
  return request({
    url: '/system/Bushop/' + id,
    method: 'delete'
  })
}
